export const InterfaceDefaultOptions =  {
	interfaceConfig: {},
	origin: null,
	beforeSend: new Function,
	dataFilter: null,
	dataPath: null,
	errorCallback: msg => console.warn('错误信息：' + msg),
	
	type: 'get',
	dataType: 'json',
	contentType: 'application/json; charset=utf-8',
	traditional: true,
	jsonp: null,
}


export const AjaxDefaultOptions = {
	type: 'GET',
	url: '',
	data: null,
	traditional: true,
	dataType: 'json',
	jsonp: 'callback',
	contentType: 'application/x-www-form-urlencoded; charset=UTF-8',
	cache: true,
	success: new Function,
	error: new Function,
	uploading: new Function,
	beforeSend: new Function,
	dataFilter: null,
	headers: {
		"Accept": "application/json, text/javascript, */*; q=0.01",
		"Content-Type": "application/json; charset=UTF-8",
		"X-Requested-With": "XMLHttpRequest"
	}
}